My Mac is running 10.5.8- do I have to install 10.6 first in order to upgrade to higher operating systems such as 10.8?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Yes.

    You need to install OS 10.6 first, then update it to OS 10.6.8 in order to have the App Store app on your Mac. The App Store app is required to download later versions of the OS. Once OS 10.6.8 is on your Mac, you can directly upgrade to any later OS (provided the OS supports your Mac model).

    For legacy versions of the OS:
    through the online Apple Store one can purchase the DVD for OS 10.6.
    Also, through the online Apple Store, one can obtain a "redemption code" for OS10.7 or OS10.8, which then allows you to download and install through the App Store app.
    Mavericks OS10.9 and Yosemite OS10.10 were free. They are no longer available from Apple unless already downloaded through an Apple ID account. Any Mac that can run Mavericks or Yosemite, is able to run the latest OS: El Capitan. Otherwise for El Capitan, check that your Mac model meets the hardware requirements.

    Following links are for USA (change "/us/" in url to your country's code): (of course, replace "[DOT]" with ".")

    Snow Leopard OS10.6:
    www[DOT]apple[DOT]com/us/shop/product/MC573Z/A/mac-os-x-106-snow-leopard

    Lion OS10.7:
    www[DOT]apple{DOT]com/us/shop/product/D6106Z/A/os-x-lion

    Mountain Lion OS10.8:
    www[DOT]apple[DOT]com/us/shop/product/D6377Z/A/os-x-mountain-lion

    Mavericks OS10.9:
    Not available unless one has previously downloaded on a specific Apple ID account. If another Mac is on same Apple ID account, it may be able to download and install. Any Mac that is able to run Mavericks or Yosemite can also run El Capitan.

    Yosemite OS10.10:
    Same info as Mavericks OS10.9.

    Was this useful? Answer 1

    3 of 3 people found this useful

Related Questions